cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
226
Views
10
Helpful
2
Replies

error message , install bundle cisco-ios-xe_16_9_3.json

Hello Boss,

I have installed ydk (0.8.5) and ydk-models-cisco-ios-xe (16.9.1) in my python virtual environment. Then  I am going to install  cisco-ios-xe_16_9_3.json . I downloaded "cisco-ios-xe_16_9_3.json" and upload it to ubuntu and tried to install it.

But unluck,  it is unsuccessful. 

 

Can you kindly give me some advice ? 

Much appreicate!! 

 

##################################Error message##############################################

(ydk-gen-envir) root@CNPDGWNCP142F0K:/home/jzhang/virtualenv/ydk-gen# ./generate.py --python --bundle profiles/bundles/cisco-ios-xe_16_9_3.json
Traceback (most recent call last):
File "./generate.py", line 492, in <module>
output_directory = (generator.generate(options.bundle))
File "/home/jzhang/virtualenv/ydk-gen/ydkgen/__init__.py", line 98, in generate
return self._generate_bundle(description_file)
File "/home/jzhang/virtualenv/ydk-gen/ydkgen/__init__.py", line 118, in _generate_bundle
profile = json.load(f)
File "/usr/lib/python3.6/json/__init__.py", line 299, in load
parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
File "/usr/lib/python3.6/json/__init__.py", line 354, in loads
return _default_decoder.decode(s)
File "/usr/lib/python3.6/json/decoder.py", line 339, in decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode
raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 7 column 1 (char 6)
(ydk-gen-envir) root@CNPDGWNCP142F0K:/home/jzhang/virtualenv/ydk-gen#

 

#################################Environment########################################################

(ydk-gen-envir) root@CNPDGWNCP142F0K:/home/jzhang/virtualenv# pip list | grep ydk
DEPRECATION: The default format will switch to columns in the future. You can use --format=(legacy|columns) (or define a format=(legacy|columns) in your pip.conf under the [list] section) to disable this warning.
ydk (0.8.5)
ydk-models-cisco-ios-xe (16.9.1)
ydk-models-ietf (0.1.5.post2)
(ydk-gen-envir) root@CNPDGWNCP142F0K:/home/jzhang/virtualenv#

 

 

(ydk-gen-envir) root@CNPDGWNCP142F0K:/home/jzhang/virtualenv/ydk-gen/profiles/bundles# ls -l cisco-ios-xe_16_9_3.json
-rw-r--r-- 1 root root 256398 Apr 14 08:06 cisco-ios-xe_16_9_3.json
(ydk-gen-envir) root@CNPDGWNCP142F0K:/home/jzhang/virtualenv/ydk-gen/profiles/bundles#

Jacky Zhang
Global Telecom
1 ACCEPTED SOLUTION

Accepted Solutions
yangorelik
Participant

You've got en error in the bundle profile. Based on the error message it is simple JSON syntax.

Yan Gorelik
YDK Solutions

View solution in original post

2 REPLIES 2
yangorelik
Participant

You've got en error in the bundle profile. Based on the error message it is simple JSON syntax.

Yan Gorelik
YDK Solutions

View solution in original post

Thank you Sir.

Jacky Zhang
Global Telecom
Content for Community-Ad